Public APIAPI ReferenceRegistry

Issue a Registry access token.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/registry/token

Authenticate with Bearer credentials or a Registry Basic password. Accept service and repeatable scope=repository::pull,push parameters to check permissions for up to 32 repositories. Used for the login flow provided by the ntro registry login command.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Query Parameters

scope?array<string>
service*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/registry/token?service=string"
{  "expires_in": 0,  "issued_at": "string",  "token": "string"}